/{organizationId}/{mandateId}/donation/donations/{donationId}/revokeRevoke donation
Revokes a specific donation for a given mandate
Required permissions:
mandate.read
donation.edit
Path Parameters
organizationIdstringrequired mandateIdstringrequired donationIdstringrequired Request Body required
Content-Type: application/json
sendDonationbooleanoptional Default: true
Authentication: X-API-Key
Request
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/donation/donations/{donationId}/revoke' \
--header 'X-API-Key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"sendDonation": true
}'Responses
This endpoint returns different response codes based on the request outcome.
200Successful response
Content-Type: application/json
Valueany Response
"string"400Invalid input data
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}401Authorization not provided
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}403Insufficient access
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}500Internal server error
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}